Bug 245187 - makedumpfile has a pretty limited method for determining kernel version
Summary: makedumpfile has a pretty limited method for determining kernel version
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 223632
TreeView+ depends on / blocked
 
Reported: 2007-06-21 15:05 UTC by Neil Horman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2007-0548
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 18:03:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch I'm proposing to fix the versioning issue (2.83 KB, patch)
2007-06-21 15:36 UTC, Neil Horman
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0548 normal SHIPPED_LIVE kexec-tools bug fix and enhancement update 2007-10-30 16:07:22 UTC

Description Neil Horman 2007-06-21 15:05:05 UTC
Description of problem:
get_kernel_version has a fairly limited method for encoding kernel version info,
requiring an update every time the running kernel version goes outside of the
detectible range.  This is inefficient and wrong

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.run latest version of makedumpfile on a kernel later than 2.6.19
2.
3.
  
Actual results:
makefumpfile will indicate the kernel version is unsupported

Expected results:
makedumpfile should work

Additional info:

Comment 1 Neil Horman 2007-06-21 15:36:18 UTC
Created attachment 157550 [details]
patch I'm proposing to fix the versioning issue

Comment 2 Neil Horman 2007-06-21 15:45:31 UTC
submitted upstream to sourceforge.net's makedumpfile project for review:  patch
tracker number 1741023

Comment 3 RHEL Product and Program Management 2007-06-22 13:43:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Neil Horman 2007-06-22 15:14:53 UTC
checked into -181.el5

Comment 9 errata-xmlrpc 2007-11-07 18:03:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0548.html



Note You need to log in before you can comment on or make changes to this bug.